SAINT MARY'S UNIVERSITY
Department of Mathematics and Computing Science
Language Reference Material

Java Keywords and C++ Keywords

This page contains a table of both Java and C++ keywords, showing which are common to both languages and which appear in one language but not the other. Within each column of the table, the keywords are listed in alphabetical order.

C++ only | Common | Java only
|  | abstract
and |  |
and_eq |  |
asm |  |
|  | assert
auto |  |
bitand |  |
bitor |  |
|  | boolean
bool |  |
| break |
|  | byte
| case |
| catch |
| char |
| class |
compl |  |
| const |
const_cast |  |
| continue |
| default |
delete |  |
| do |
| double |
dynamic_cast |  |
| else |
enum |  |
explicit |  |
|  | extends
extern |  |
| false |
|  | final
|  | finally
| float |
| for |
friend |  |
| goto |
| if |
|  | implements
|  | import
inline |  |
|  | instanceof
| int |
|  | interface
| long |
mutable |  |
namespace |  |
|  | native
| new |
not |  |
not_eq |  |
|  | null
operator |  |
or |  |
or_eq |  |
|  | package
| private |
| protected |
| public |
register |  |
reinterpret_cast |  |
| return |
| short |
signed |  |
sizeof |  |
| static |
static_cast |  |
|  | strictfp
struct |  |
|  | super
| switch |
|  | synchronized
template |  |
| this |
| throw |
|  | throws
|  | transient
| true |
| try |
typedef |  |
typeid |  |
typename |  |
union |  |
unsigned |  |
using |  |
virtual |  |
| void |
| volatile |
wchar_t |  |
| while |
xor |  |
xor_eq |  |
Total = 40 | Total = 33 | Total = 19